/*name netlib.h*/

/*
This header file contains the NETBIOS Modbus PLUS library prototypes.
*/
int ncb_reset(int adaptno);
#ifdef __OS2__
int ncb_tick(void);
#else
int ncb_sa85off(int adaptno);
#endif
int ncb_status(NCB *ncbp,int adaptno);
int ncb_send(NCB *ncbp, int length, char *buffer, unsigned char timeout);
int ncb_receive_wait(NCB *ncbp, char *buffer, unsigned char timeout);
NCB *ncb_open(char *name, int lan);
int ncb_receive(NCB *ncbp, char *buffer);
NCB *ncb_open(char *name, int lan);
int ncb_close(NCB *ncbp);
int ncb_send_datagram(NCB *ncbp, int length, char *buffer, unsigned char timeout, int adaptno);
int ncb_receive_datagram(NCB *ncbp, int node, char *buffer, unsigned char timeout, int adaptno);
int ncb_cancel(NCB *ncbp);
int ncb_set_slave_login(NCB *ncbp, unsigned char login_status);
void exec_netbios(NCB *ncbstruct);

#ifndef SW_INTERRUPT
#define SW_INTERRUPT        0x5c /* actual SW interrupt used by NETBIOS */
#endif
