/* ****************************************************************************
 * This header file contains the NETBIOS Modbus PLUS library prototypes.
 * ***************************************************************************/


/* ****************************************************************************
 * COPYRIGHT (C) 1995, AEG SCHNEIDER AUTOMATION INC., ALL RIGHTS RESERVED.
 * NO PART OF THIS DOCUMENT MAY BE REPRODUCED IN ANY FORM WITHOUT THE
 * EXPRESSED WRITTEN PERMISSION OF AEG SCHNEIDER AUTOMATION INC.
 *
 *
 * program name:   NETLIB.OBJ
 * revision:       
 * version:        3.00
 * eco number:     
 * release date:   
 *
 *
 *
 * R E V I S I O N   H I S T O R Y
 *
 * DATE   NAME    CHANGES
 *
 *****************************************************************************/

short ncb_reset(short adaptno);
short ncb_status(NCB *ncbp,short adaptno);
short ncb_send(NCB *ncbp, short length, char *buffer, unsigned char timeout);
short ncb_receive_wait(NCB *ncbp, char *buffer, unsigned char timeout);
NCB  *ncb_open(char *name, short lan);
short ncb_receive(NCB *ncbp, char *buffer);
short ncb_close(NCB *ncbp);
short ncb_send_datagram(NCB *ncbp, short length, char *buffer, unsigned char timeout, short adaptno);
short ncb_receive_datagram(NCB *ncbp, short node, char *buffer, unsigned char timeout, short adaptno);
short ncb_cancel(NCB *ncbp);
short ncb_set_slave_login(NCB *ncbp, unsigned char login_status);
void  exec_netbios(NCB * OS2SEGMENT ncbstruct);

#ifdef __OS2__
    short ncb_tick(void);
#else
    short ncb_sa85off(short adaptno);
#endif

#ifndef SW_INTERRUPT
#define SW_INTERRUPT        0x5c /* actual SW interrupt used by NETBIOS */
#endif
